sampledata.sh 2.16 KB
Newer Older
1 2 3 4 5 6 7 8
#!/bin/sh
set -e
AEC=../src/aec
CCSDS_DATA=121B2TestData
ALLO=${CCSDS_DATA}/AllOptions
EXTP=${CCSDS_DATA}/ExtendedParameters
LOWE=${CCSDS_DATA}/LowEntropyOptions
archive=121B2TestData.zip
9
archive_url=http://cwe.ccsds.org/sls/docs/SLS-DC/BB121B2TestData/$archive
10
if [ ! -f $archive ]; then
11 12 13 14 15 16 17 18
    type wget >/dev/null 2>&1 || {
        echo >&2 "wget not found. Please download $archive_url by other means and place it in tests. Aborting."
        exit 1
    }
    wget $archive_url || {
        echo >&2 "Could not download $archive_url. Please download $archive by other means and place it in tests. Aborting."
        exit 1
    }
19 20 21
fi
unzip -oq $archive

Mathis Rosenhauer's avatar
Mathis Rosenhauer committed
22 23 24 25
filesize () {
    wc -c $1 | awk '{print $1}'
}

26
decode () {
27
    $AEC -d $3 $1 test.dat
Mathis Rosenhauer's avatar
Mathis Rosenhauer committed
28
    cmp -n $(filesize $2) $2 test.dat
29 30 31
}

code () {
32
    $AEC $3 $2 test.rz
33 34 35 36
    cmp $1 test.rz
}

code_size () {
37
    $AEC $3 $2 test.rz
Mathis Rosenhauer's avatar
Mathis Rosenhauer committed
38
    if [ ! $(filesize test.rz) -eq $(filesize $1) ]; then
39 40 41 42 43 44 45 46 47 48 49 50 51 52 53
        echo "$1 size mismatch"
        exit 1
    fi
}

codec () {
    code "$@"
    decode "$@"
}

cosdec () {
    code_size "$@"
    decode "$@"
}

54
echo All Options
Mathis Rosenhauer's avatar
Mathis Rosenhauer committed
55
mv -f ${ALLO}/test_P512n22.dat ${ALLO}/test_p512n22.dat
56 57
for i in 01 02 03 04
do
58 59 60
    uf=$ALLO/test_p256n${i}.dat
    codec $ALLO/test_p256n${i}-basic.rz $uf "-n$i -j16 -r16"
    codec $ALLO/test_p256n${i}-restricted.rz $uf "-n$i -j16 -r16 -t"
61 62 63
done
for i in 05 06 07 08 09 10 11 12 13 14 15 16
do
64 65
    cosdec $ALLO/test_p256n${i}.rz $ALLO/test_p256n${i}.dat \
        "-n$i -j16 -r16"
66 67 68
done
for i in 17 18 19 20 21 22 23 24
do
69 70
    cosdec $ALLO/test_p512n${i}.rz $ALLO/test_p512n${i}.dat \
        "-n$i -j16 -r32"
71 72 73 74 75 76 77
done

echo Low Entropy Options
for i in 1 2 3
do
    for j in 01 02 03 04
    do
78 79 80
        uf=$LOWE/Lowset${i}_8bit.dat
        codec $LOWE/Lowset${i}_8bit.n${j}-basic.rz $uf "-n$j -j16 -r64"
        codec $LOWE/Lowset${i}_8bit.n${j}-restricted.rz $uf "-n$j -j16 -r64 -t"
81 82 83
    done
    for j in 05 06 07 08
    do
84
        codec $LOWE/Lowset${i}_8bit.n${j}.rz $LOWE/Lowset${i}_8bit.dat \
85
            "-n$j -j16 -r64"
86 87 88 89
    done
done

echo Extended Parameters
90 91
decode $EXTP/sar32bit.j16.r256.rz $EXTP/sar32bit.dat "-n32 -j16 -r256 -p"
decode $EXTP/sar32bit.j64.r4096.rz $EXTP/sar32bit.dat "-n32 -j64 -r4096 -p"